メインコンテンツへスキップ
GET
/
v3
/
organizations
/
{org_id}
/
sessions
セッションを一覧取得
curl --request GET \
  --url https://api.devin.ai/v3/organizations/{org_id}/sessions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "acus_consumed": 123,
      "created_at": 123,
      "org_id": "<string>",
      "pull_requests": [
        {
          "pr_state": "<string>",
          "pr_url": "<string>"
        }
      ],
      "session_id": "<string>",
      "status": "new",
      "tags": [
        "<string>"
      ],
      "updated_at": 123,
      "url": "<string>",
      "category": "bug_fixing",
      "child_session_ids": [
        "<string>"
      ],
      "is_archived": false,
      "origin": "webapp",
      "parent_session_id": "<string>",
      "playbook_id": "<string>",
      "service_user_id": "<string>",
      "status_detail": "working",
      "structured_output": {},
      "subcategory": "<string>",
      "title": "<string>",
      "user_id": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルで ViewOrgSessions 権限が付与されたサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

org_id
string | null
必須

組織 ID(接頭辞: org-)

:

"org-abc123def456"

クエリパラメータ

qs
SessionsQueryParams · object
必須
devin_id
string | null

レスポンス

成功レスポンス

items
SessionResponse · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。最終ページの場合は None になります。

has_next_page
boolean
デフォルト:false

このページ以降にも、さらに取得可能な項目があるかどうか。

total
integer | null

合計件数(パフォーマンス向上のため、省略可能)。